package com.ruoyi.news.mapper;


import com.ruoyi.news.domain.BomanNews;

import java.util.List;

/**
 * boman_newsMapper接口
 * 
 * @author boman
 * @date 2024-01-18
 */
public interface BomanNewsMapper 
{
    /**
     * 查询boman_news
     * 
     * @param newsId boman_news主键
     * @return boman_news
     */
    public BomanNews selectBomanNewsByNewsId(Long newsId);

    /**
     * 查询boman_news列表
     * 
     * @param bomanNews boman_news
     * @return boman_news集合
     */
    public List<BomanNews> selectBomanNewsList(BomanNews bomanNews);

    /**
     * 新增boman_news
     * 
     * @param bomanNews boman_news
     * @return 结果
     */
    public int insertBomanNews(BomanNews bomanNews);

    /**
     * 修改boman_news
     * 
     * @param bomanNews boman_news
     * @return 结果
     */
    public int updateBomanNews(BomanNews bomanNews);

    /**
     * 删除boman_news
     * 
     * @param newsId boman_news主键
     * @return 结果
     */
    public int deleteBomanNewsByNewsId(Long newsId);

    /**
     * 批量删除boman_news
     * 
     * @param newsIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBomanNewsByNewsIds(Long[] newsIds);
}
